---
- block:
  - name: Configure rsyslog debug log
    copy:
      src: "60-debug.conf"
      dest: "/etc/rsyslog.d"
      owner: root
      group: root
      mode: '644'
    notify: Restart rsyslog

  - name: Configure rsyslog debug log rotation
    copy:
      src: "debug"
      dest: "/etc/logrotate.d"
      owner: root
      group: root
      mode: '644'

  - name: Configure zoox system services log rotation
    copy:
      src: "zoox"
      dest: "/etc/logrotate.d/"
      owner: root
      group: root
      mode: '644'

  become: true
